Subject: bug#29012: od: busy skip on block devices

From: Assaf Gordon <[email-masked]>
Date: Mon, 29 Oct 2018 19:44:53 -0600

severity 29012 wishlist
retitle 29012 od: add skip option
tags 29012 wontfix
close 29012
stop

(triaging old bugs)

On 2017-10-27 11:59 p.m., Christian Kögler wrote:
> 
> Am 27. Oktober 2017 07:25:25 MESZ schrieb "Pádraig Brady" <[email-masked]>:
>> On 26/10/17 08:13, Christian Kögler wrote:
>>> If od is used on block devices together with skip, od reads the
>> skipped bytes instead of seeking it.
>>
>> Yes it has done that from the initial version.
>> Note od concatenates multiple files, and skips across
>> all of them, so consequently restricts itself to
>> seeking where it knows the file length (regular files).
>>
>> I suppose we could try to seek if a single argument was specified.
>>
>> As an alternative you could skip with dd and pipe to od?

> I loose the absolute address offset, but in our case a way to go.
> Thanks for helping so quickly!

Given the above, I'm closing this item.
Discussion can continue by replying to this thread.

-assaf